ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Becheanu" <daniel.beche...@gmail.com>
Subject Re: [Announce] Release of IvyDE 2.0.0.beta1
Date Mon, 15 Dec 2008 22:06:07 GMT
Switch your eclipse console to ivy console to see more details. (there
is a small drop down on the upper left side of your eclipse console)

One way to try fixing  this issue is remove the ivy.xml from libraries
and add it back.




On Mon, Dec 15, 2008 at 3:57 PM, Bagwell, Allen F <afbagwe@sandia.gov> wrote:
>
> Upgrading to this from IvyDE alpha 1 broke my ability to read my ivysettings.xml file.
>
> I keep getting an unspecified error in my project saying that my ivy settings file has
a parse error.
>
> However if I open my ivysettings.xml file in the Ivy Editor, there is no indicator of
a parsing error. (Nor should I expect there to be since I haven't changed it between alpha1
and this beta.)
>
> -Allen
>
>
>
>
>
> -----Original Message-----
> From: Nicolas Lalevée [mailto:nicolas.lalevee@hibnet.org]
> Sent: Monday, December 15, 2008 11:09 AM
> To: dev@ant.apache.org; ivy-user@ant.apache.org
> Subject: [Announce] Release of IvyDE 2.0.0.beta1
>
> The Apache Ivy project is pleased to announce the release of IvyDE 2.0.0.beta1.
>
> IvyDE is an Eclipse plugin that leverage the management of the Ivy dependencies in the
Eclipse development environment.
> It will help you manage your classpath based on the Ivy dependencies, with a dedicated
editor of ivy.xml files, with completion.
>
> Whereas the status of the previous release was alpha, we got this plugin to be more stable.
The bugs which were making the plugin unusable have been fixed.
> Thought we know that there are still some bugs, so this is a milestone towards the final
release. But this is already stable, a beta milestone.
>
> To download IvyDE: http://ant.apache.org/ivy/ivyde/download.cgi
> Important note: the IvyDE updatesite at http://ant.apache.org/ivy/ivyde/updatesite is
now deprecated because it causes us some deployment pain (which probably get some pain to
some user too). So please switch to use this one:
> http://www.apache.org/dist/ant/ivyde/updatesite/
>
> Note that this release is compatible with the last release of Ivy, the 2.0 RC2, which
is already avalaible for download via the updatesite.
>
> The new main features in this release:
> * the configuration panel have been splitted to be more manageable and understandable
> * Error markers now shows up if the resolve job failed
> * You can clean the ivy caches via the context menu
> * still experimental: handle dependencies between IvyDE-enabled projects
>
> You will find the raw release notes there:
> https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310640&styleName=Html&version=12313273
>
> To get more information on the project, see:
> http://ant.apache.org/ivy/ivyde/
>
> Nicolas
>
>
>
>
>
>
>

Mime
View raw message